#ifndef CANVAS_H
#define CANVAS_H

#include <windows.h>
#include "loadbmp.h"

class Canvas
{
protected:
    // Protected constructor: You can't construct
    // a Canvas object, but you may be able
    // to construct objects derived from it.
    HDC _hdc;
    Canvas(HDC hdc);
    
public:
    Canvas(const Canvas &rhs);
    ~Canvas();
    Canvas &operator=(const Canvas &rhs);
    operator HDC();
    void Paint(CRaster const *bmp, int x, int y) const;
};

#endif // CANVAS_H
